commit:     204c6662911a03e54d0c31af152e26e41a9f9f20
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 16 09:23:56 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Oct 16 09:23:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=204c6662

app-text/qpdf: add 11.6.3

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/qpdf/Manifest           |  2 +
 app-text/qpdf/qpdf-11.6.3.ebuild | 84 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/app-text/qpdf/Manifest b/app-text/qpdf/Manifest
index da46c139147c..462a513f7754 100644
--- a/app-text/qpdf/Manifest
+++ b/app-text/qpdf/Manifest
@@ -12,3 +12,5 @@ DIST qpdf-11.6.1-doc.zip 6861634 BLAKE2B 
bc9f566de9bc403e9a81184ef860cf2c3925322
 DIST qpdf-11.6.1.tar.gz 18646767 BLAKE2B 
fd6163963eb192b38ed1e78cba443e9e247e6ff408efd6cb480c81ac3d9d233e00edf9ef0858e51ac755b2b7cea0d8763ac6dda3fe9d54618114b4b3a00d5b15
 SHA512 
a3ce1a531331a6f7e33244d598118f9463f92f0466fd1f2aa3dcdc6dc2c1db0811d00e5ff16ad33ccc81a702ff8dbec719f56194f944de1e00f5e6cc8ed17a69
 DIST qpdf-11.6.2-doc.zip 6863319 BLAKE2B 
d140a35de156a40dc62ac900f2095d826760d05bdb58c2b6d8ba8ec68d823d9ab5022027d634f82b3a182ec3a842f22f44b659df7355c55e74d8e31a11458a2b
 SHA512 
0d81c3a467833fd66668e2cbc6afef3346cbf2eeb01eaffc532165a19910a000e9e7eea0174e4b930ecd55e423680e39a7b0c8bb6f618e6f9c019058b6bd90ce
 DIST qpdf-11.6.2.tar.gz 18656098 BLAKE2B 
e34c40dcea3e6a3a25a3624bff6afea80ee18f4f02c16b2442a8fc622ab0b6eddd1e8660f3c35f4e3115206a34a97c64e53b9aac46e896517ed5c05aed9d341b
 SHA512 
58f8eff51f4bf64a5cbc40af467aa0626f7f25a31222711e06596f9fccd9ecc0d9d7d87cf65e2055d23409d23458e33bc94f303cd797d00af3c6bc5872b3ef28
+DIST qpdf-11.6.3-doc.zip 6864204 BLAKE2B 
05a9d44b877ab9eab4548646ec2cd8110a47e594b0b1d364c7a5d25b249efa368f94c0e549da8697f685fde17ce59378a32e6c31f5dcd1731c97a2434cbe5af0
 SHA512 
0cdeb6d408823a49909d2394a9cedd8ae5d4f9fd4f4dbef70ce60c60401bc9b78b1740669f46b78609f11b0b4c8bdaafe094158e52b9449dca32d6afd3ece377
+DIST qpdf-11.6.3.tar.gz 18660605 BLAKE2B 
c684dab7544fe6024db26c7538cc2e16319aeb6c023b53ea97ec9c5ae474ac67538a99a80524d924ac0758f0fc7d552dbea1a47df7595b25dbec121738a07ec8
 SHA512 
afc1d130e10bb527a7425ce39f6d93245c3d9b08002d104fdf0e909b586f80174fa2eed863794f10b76bab86a064b904eebca89902212accc45a68f9430c122e

diff --git a/app-text/qpdf/qpdf-11.6.3.ebuild b/app-text/qpdf/qpdf-11.6.3.ebuild
new file mode 100644
index 000000000000..cd7413346d61
--- /dev/null
+++ b/app-text/qpdf/qpdf-11.6.3.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake bash-completion-r1
+
+DESCRIPTION="Command-line tool for structural, content-preserving 
transformation of PDF files"
+HOMEPAGE="https://qpdf.sourceforge.net/";
+# TODO: verify-sig
+SRC_URI="https://github.com/qpdf/qpdf/releases/download/v${PV}/${P}.tar.gz";
+SRC_URI+=" doc? ( 
https://github.com/qpdf/qpdf/releases/download/v${PV}/${P}-doc.zip )"
+
+LICENSE="|| ( Apache-2.0 Artistic-2 )"
+# Subslot for libqpdf soname version (just represent via major version)
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples gnutls ssl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       media-libs/libjpeg-turbo:=
+       sys-libs/zlib
+       ssl? (
+               gnutls? ( net-libs/gnutls:= )
+               !gnutls? ( dev-libs/openssl:= )
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               app-text/ghostscript-gpl[tiff(+)]
+               media-libs/tiff
+               sys-apps/diffutils
+       )
+"
+BDEPEND="
+       dev-lang/perl
+       doc? ( app-arch/unzip )
+"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+       # glibc only (bug #899052)
+       malloc_info
+)
+
+src_configure() {
+       # Keep an eye on https://qpdf.readthedocs.io/en/stable/packaging.html.
+       local mycmakeargs=(
+               -DINSTALL_EXAMPLES=$(usex examples)
+
+               # Avoid automagic crypto deps
+               -DUSE_IMPLICIT_CRYPTO=OFF
+               -DALLOW_CRYPTO_NATIVE=ON
+
+               # Breaks install with USE=-doc in 11.0.0?
+               #-DINSTALL_MANUAL=ON
+       )
+
+       if use ssl ; then
+               local crypto_provider=$(usex gnutls GNUTLS OPENSSL)
+               local crypto_provider_lowercase=${crypto_provider,,}
+               mycmakeargs+=(
+                       -DDEFAULT_CRYPTO=${crypto_provider_lowercase}
+                       -DREQUIRE_CRYPTO_${crypto_provider}=ON
+               )
+       fi
+
+       cmake_src_configure
+}
+
+src_install() {
+       if use doc ; then
+               mv "${WORKDIR}"/${P}-doc "${BUILD_DIR}"/manual/doc-dist || die
+       fi
+
+       cmake_src_install
+
+       # Completions
+       dobashcomp completions/bash/qpdf
+
+       insinto /usr/share/zsh/site-functions
+       doins completions/zsh/_qpdf
+}

Reply via email to